﻿@using Microsoft.AspNetCore.Mvc.Localization
@model AEWeb.ViewModels.DataWarehouse.AppealDataWarehouseListViewModel
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "Appeals";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>


<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">

            <div class="ibox">
                <form class="ibox-title" asp-action="Search" method="post">
                    From:
                    @(Html.Kendo().DatePicker()
                                    .Name("DateFrom")
                                    .Value(Model.DateFrom)
                                    .HtmlAttributes(new { style = "width: 150px", title = "Date From" })
                            )
                    &nbsp;
                    &nbsp;
                    &nbsp;
                    To:
                    @(Html.Kendo().DatePicker()
                                    .Name("DateTo")
                                    .Value(Model.DateTo)
                                    .HtmlAttributes(new { style = "width: 150px", title = "Date To" })
                            )
                    &nbsp;
                    <input type="submit" class="btn btn-default btn-sm" value="Search" />
                </form>
                <div class="ibox-content">
                    <div class="container-fluid">

                        @if (Model.AppealList.Count > 0)
                        {
                            <div class="row mb-2">
                                <div class="col-md-6 col-xs-12 pt-2">
                                    <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                         aria-live="polite">
                                        @{ @Model.MessageNumberEntries }
                                    </div>
                                </div>
                            </div>
                        }
                        <div class="row">
                            <div class="col">
                                <div class="table-responsive">
                                    <table class="table table-striped table-bordered table-hover dataTables-example">
                                        <thead>
                                            <tr>

                                                <th>
                                                    @Localizer["AppealDate"]
                                                </th>
                                                <th>
                                                    @Localizer["Region"]
                                                </th>
                                                <th>
                                                    @Localizer["Office"]
                                                </th>
                                                <th>
                                                    @Localizer["Segment"]
                                                </th>
                                                <th>
                                                    @Localizer["Concept"]
                                                </th>
                                                <th>
                                                    @Localizer["NumberOfAppealCasesGenerated"]
                                                </th>
                                                <th>
                                                    @Localizer["NumberOfAppealCasesPending"]
                                                </th>
                                                <th>
                                                    @Localizer["Amount"]
                                                </th>
                                                <th>
                                                    @Localizer["ValueOfAppealCasesGenerated"]
                                                </th>
                                                <th>
                                                    @Localizer["NumberOfAppealCasesResolved"]
                                                </th>
                                                <th>
                                                    @Localizer["ValueOfAppealCasesResolved"]
                                                </th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @if (Model.AppealList.Count > 0)
                                            {
                                                foreach (var item in Model.AppealList)
                                                {
                                            <tr>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.AppealDateForDisplay)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.Region)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.Office)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.Segment)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.Concept)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.NumberAppealsCasesPending)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.AmountAppealed)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.NumberCasesResolved)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.NumberCasesResolvedFavorTaxPayer)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.NumberCasesResolvedFavorTaxAdministration)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.AverageDaysToResolveCases)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.TotalAmountResolvedFavorTaxPayer)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.TotalAmountResolvedFavorTaxAdministration)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.NumberOfAppealCasesSubmitted)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.ValueOfAppealCasesSubmitted)
                                                </td>
                                            </tr>
                                                }
                                            }
                                            else
                                            {
                                                <tr>
                                                    <td colspan="15" class="text-center">
                                                        @Localizer["NoRecords"]
                                                    </td>
                                                </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                                @{
                                    var prevDisabled = !Model.HasPreviousPage ? "disabled" : "";
                                    var nextDisabled = !Model.HasNextPage ? "disabled" : "";
                                }

                                <a asp-action="Index"
                                   asp-route-pageNumber="@(Model.PageNumber - 1)"
                                   class="btn btn-default @prevDisabled">
                                    Previous
                                </a>
                                <a asp-action="Index"
                                   asp-route-pageNumber="@(Model.PageNumber + 1)"
                                   class="btn btn-default @nextDisabled">
                                    Next
                                </a>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>